McAfee ePolicy Orchestrator / ProtectionPilot forrás fejléc puffer túlcsordulás

CH azonosító

CH-140

Felfedezés dátuma

2006.10.05.

Súlyosság

Közepes

Érintett rendszerek

McAfee
ProtectionPilot
ePolicy Orchestrator

Érintett verziók

McAfee ePolicy Orchestrator 3.x
McAfee ProtectionPilot 1.x

Összefoglaló

Egy sérülékenységet jelentettek a McAfee ProtectionPilotban és a McAfee ePolicy Orchestratorban, amit kihasználva rosszindulatú támadók feltörhetik az érintett rendszereket.

Leírás

A sérülékenységet a hosszú forrás fejlécek kezelésében található határhiba okozza. Ezt kihasználva egy különlegesen kialakított kérelemmel puffer túlcsordulást lehet előidézni, ami rosszindulatú kód futtatását teheti lehetővé.

A sérülékenységet a McAfee ProtectionPilot 1.1.0. és a McAfee ePolicy Orchestrator 3.5.0. verziójában jelentették, de más verziók is érintettek lehetnek.

Megoldás

Telepítse a javítócsomagokat